---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab repo fork`

Fork a GitLab repository.

```plaintext
glab repo fork <repo> [flags]
```

## Examples

```plaintext
glab repo fork
glab repo fork namespace/repo
glab repo fork namespace/repo --clone

```

## Options

```plaintext
  -c, --clone         Clone the fork. Options: true, false.
  -n, --name string   The name assigned to the new project after forking.
  -p, --path string   The path assigned to the new project after forking.
      --remote        Add a remote for the fork. Options: true, false.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
